package credit_balance

import (
	"context"

    "wechat-api/ent/creditbalance"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeleteCreditBalanceLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteCreditBalanceLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteCreditBalanceLogic {
	return &DeleteCreditBalanceLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteCreditBalanceLogic) DeleteCreditBalance(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.CreditBalance.Delete().Where(creditbalance.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
